# CutlassJsRails

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/cutlass_js_rails`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

## Sample fields

```
# Cutlass hash where f = field passed from a form_for.
<% cutlass_hash = {f: f, model: @abn_application} %>

# Text field
<%= render 'cutlass/text_field', field: :_first_name, label: 'First name', **cutlass_hash %>

# Text field with a type
<%= render 'cutlass/text_field', field: :_contact_number, label: 'Phone', **cutlass_hash, props: {type: 'tel'} %>

# Date field
<%= render 'cutlass/date_field', field: :_date_of_birth, label: 'Date of birth', **cutlass_hash %>

# Radio field
<%= render 'cutlass/radio_field', field: :_import_goods_and_services, label: 'Do you import goods and services from overseas?', **cutlass_hash, options: [
  { label: 'Yes', value: 'yes'},
  { label: 'No', value: 'no'}
] %>

# Select field
<%= render 'cutlass/select_field', field: :_gross_income_estimate, label: 'Expected annual business turnover', **cutlass_hash, options: [
  [''], ['$0 - $75,000'], ['$75,000 - $150,000'], ['$150,000 - $2M']
] %>

# Toggle field
<%= render 'cutlass/toggle_field', field: :_import_goods_and_services, label: 'Do you import goods and services from overseas?', **cutlass_hash %>
```

```ruby
gem 'cutlass_js_rails'
```


And then execute:

    $ bundle

Or install it yourself as:

    $ gem install cutlass_js_rails

## Usage

TODO: Write usage instructions here

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/cutlass_js_rails. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

 
